| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions

# Tp::Contact::InfoFields Class Reference

`#include </home/andrunko/work/telepathy/telepathy-qt4/TelepathyQt4/contact.h>`

List of all members.

## Public Member Functions

- InfoFields ()
- InfoFields (const ContactInfoFieldList &fields)
- InfoFields (const InfoFields &other)
- ~InfoFields ()
- bool isValid () const
- InfoFields & operator= (const InfoFields &other)
- ContactInfoFieldList fields (const QString &name) const
- ContactInfoFieldList allFields () const

## Constructor & Destructor Documentation

Tp::Contact::InfoFields::InfoFields | ( |  | ) |

Tp::Contact::InfoFields::InfoFields | ( | const ContactInfoFieldList & | fields | ) |

Tp::Contact::InfoFields::InfoFields | ( | const InfoFields & | other | ) |

Tp::Contact::InfoFields::~InfoFields | ( |  | ) |

## Member Function Documentation

bool Tp::Contact::InfoFields::isValid | ( |  | ) | const`[inline]`

Contact::InfoFields & Tp::Contact::InfoFields::operator= | ( | const InfoFields & | other | ) |

ContactInfoFieldList Tp::Contact::InfoFields::fields | ( | const QString & | name | ) | const

ContactInfoFieldList Tp::Contact::InfoFields::allFields | ( |  | ) | const